Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1290425 - [abrt] webkitgtk4: WebKit::releaseNPObject(): WebKitPluginProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: WebKit::releaseNPObject(): WebKitPluginProcess killed by S...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ff8b2112ed6431d62aa20d3f165...
: 1305296 1320046 1347936 1350511 1352827 1387931 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-12-10 13:31 UTC by Phoenix
Modified: 2016-11-18 18:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-02 00:25:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: cgroup (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: core_backtrace (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: dso_list (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: environ (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: exploitable (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: limits (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: maps (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: mountinfo (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: namespaces (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: open_fds (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details
File: proc_pid_status (deleted)
2015-12-10 13:31 UTC, Phoenix
no flags Details


Links
System ID Private Priority Status Summary Last Updated
WebKit Project 154889 0 None None None 2016-03-02 00:25:04 UTC

Description Phoenix 2015-12-10 13:31:01 UTC
Description of problem:
i've launched epiphany from gnome tweak tool's gnome's extensions' website link then browsed it for a while then closed tab and exited

Version-Release number of selected component:
webkitgtk4-2.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess 32 /usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
crash_function: WebKit::releaseNPObject
executable:     /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
global_pid:     9090
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebKit::releaseNPObject at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeUtilities.cpp:124
 #1 NPP_Destroy at browser-plugin.c:1020
 #2 WebKit::NetscapePlugin::destroy at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.cpp:738
 #3 WebKit::Plugin::destroyPlugin at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/WebProcess/Plugins/Plugin.cpp:101
 #4 WebKit::PluginControllerProxy::destroy at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/PluginProcess/PluginControllerProxy.cpp:158
 #5 WebKit::WebProcessConnection::destroyPluginControllerProxy at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/PluginProcess/WebProcessConnection.cpp:84
 #6 WebKit::WebProcessConnection::didClose at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/PluginProcess/WebProcessConnection.cpp:177
 #7 std::function<void ()>::operator()() const at /usr/include/c++/5.1.1/functional:2271
 #8 WTF::RunLoop::performWork at /usr/src/debug/webkitgtk-2.10.4/Source/WTF/wtf/RunLoop.cpp:104
 #9 std::function<void ()>::operator()() const at /usr/include/c++/5.1.1/functional:2271

Comment 1 Phoenix 2015-12-10 13:31:07 UTC
Created attachment 1104336 [details]
File: backtrace

Comment 2 Phoenix 2015-12-10 13:31:09 UTC
Created attachment 1104337 [details]
File: cgroup

Comment 3 Phoenix 2015-12-10 13:31:11 UTC
Created attachment 1104338 [details]
File: core_backtrace

Comment 4 Phoenix 2015-12-10 13:31:13 UTC
Created attachment 1104339 [details]
File: dso_list

Comment 5 Phoenix 2015-12-10 13:31:15 UTC
Created attachment 1104340 [details]
File: environ

Comment 6 Phoenix 2015-12-10 13:31:17 UTC
Created attachment 1104341 [details]
File: exploitable

Comment 7 Phoenix 2015-12-10 13:31:18 UTC
Created attachment 1104342 [details]
File: limits

Comment 8 Phoenix 2015-12-10 13:31:23 UTC
Created attachment 1104343 [details]
File: maps

Comment 9 Phoenix 2015-12-10 13:31:24 UTC
Created attachment 1104344 [details]
File: mountinfo

Comment 10 Phoenix 2015-12-10 13:31:26 UTC
Created attachment 1104345 [details]
File: namespaces

Comment 11 Phoenix 2015-12-10 13:31:28 UTC
Created attachment 1104346 [details]
File: open_fds

Comment 12 Phoenix 2015-12-10 13:31:29 UTC
Created attachment 1104347 [details]
File: proc_pid_status

Comment 13 Michael Catanzaro 2015-12-10 15:10:34 UTC
Note: this is reported against gnome-shell 3.18.3, including all the recent browser plugin fixes. :(

Comment 14 Michael Catanzaro 2016-03-02 11:54:03 UTC
*** Bug 1305296 has been marked as a duplicate of this bug. ***

Comment 15 Jiri Nytra 2016-03-22 08:29:56 UTC
*** Bug 1320046 has been marked as a duplicate of this bug. ***

Comment 16 Michael Catanzaro 2016-07-09 18:40:35 UTC
*** Bug 1350511 has been marked as a duplicate of this bug. ***

Comment 17 Michael Catanzaro 2016-07-09 18:40:37 UTC
*** Bug 1347936 has been marked as a duplicate of this bug. ***

Comment 18 Michael Catanzaro 2016-10-27 15:54:14 UTC
*** Bug 1387931 has been marked as a duplicate of this bug. ***

Comment 19 Michael Catanzaro 2016-11-18 18:10:11 UTC
*** Bug 1352827 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.